{
  lib,
  pkgs,
  config,
  osConfig,
  ...
}: {
  options.programs.discord = {
    enable = lib.mkEnableOption "enable discord";
  };

  config = lib.mkIf config.programs.discord.enable (lib.mkMerge [
    {
      home.packages = with pkgs; [
        discord
      ];
    }
    (
      lib.mkIf osConfig.host.impermanence.enable {
        # TODO: map impermanence for discord
      }
    )
  ]);
}
